﻿/*SIMULACE JEDNODUCHEHO ZIVOTA*/
#include <cstdlib>
#include <ctime>

#include "GameOfLife.h"

// stops program execution for X seconds
void delaySeconds(const unsigned seconds)
{
  clock_t endTicks;
  endTicks = clock() + seconds * CLOCKS_PER_SEC;
  while (clock() < endTicks);
}

int main()
{
  auto playfield = new Playfield(20, 20, 30);

  playfield->Init();

  do
  {
    playfield->Show();
    delaySeconds(2);
  } while (playfield->Recalculate());

  delete playfield;

  system("pause");

  return 0;
}
