﻿namespace GameOfLife
{
  internal class Cell
  {
    private const int TooMuchNeighbors = 3;
    private const int TooFewNeighbors = 2;

    public byte Generation { get; private set; }

    public Cell()
    {
      Generation = 1;
    }

    public bool IsAlive(int neighboursCount)
    {
      if (neighboursCount < TooFewNeighbors)
        return false;

      if (neighboursCount > TooMuchNeighbors)
        return false;

      Generation++;

      return true;
    }
  }
}
